# tkclass.rb

Path: | tk/lib/tkclass.rb
Last Update: | Sat Oct 15 23:44:07 AUS Eastern Standard Time 2005

tkclass.rb - Tk classes

            Date: 2000/11/27 09:23:36
            by Yukihiro Matsumoto <matz@caelum.co.jp>

            $Id: tkclass.rb,v 1.6.2.1 2004/10/11 04:51:06 nagai Exp $

### Required files

tk

### Methods

Mainloop

### Constants

TopLevel | = | TkToplevel
Frame | = | TkFrame
Label | = | TkLabel
Button | = | TkButton
Radiobutton | = | TkRadioButton
Checkbutton | = | TkCheckButton
Message | = | TkMessage
Entry | = | TkEntry
Spinbox | = | TkSpinbox
Text | = | TkText
Scale | = | TkScale
Scrollbar | = | TkScrollbar
Listbox | = | TkListbox
Menu | = | TkMenu
Menubutton | = | TkMenubutton
Canvas | = | TkCanvas
Arc | = | TkcArc
Bitmap | = | TkcBitmap
Line | = | TkcLine
Oval | = | TkcOval
Polygon | = | TkcPolygon
Rectangle | = | TkcRectangle
TextItem | = | TkcText
WindowItem | = | TkcWindow
BitmapImage | = | TkBitmapImage
PhotoImage | = | TkPhotoImage
Selection | = | TkSelection
Winfo | = | TkWinfo
Pack | = | TkPack
Grid | = | TkGrid
Place | = | TkPlace
Variable | = | TkVariable
Font | = | TkFont
VirtualEvent | = | TkVirtualEvent

### Public Instance methods

Mainloop()

[Source]

    # File tk/lib/tkclass.rb, line 45
    def Mainloop
      Tk.mainloop
    end

[Validate]